### Method

# Json Builder get_root

#### Declaration [src]

    JsonNode*
    json_builder_get_root (
      JsonBuilder* builder
    )

#### Description [src]

Returns the root of the currently constructed tree.

if the build is incomplete (ie: if there are any opened objects, or any open object members and array elements) then this function will return `NULL`.

#### Return value

Type: `JsonNode`

The root node.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.